Subject: Re: bug#47133: 28.0.50; Library chart: colors sometimes appear, sometimes not

From: Jean Louis <[email-masked]>
Date: Thu, 18 Mar 2021 13:51:27 +0300

* Lars Ingebrigtsen <[email-masked]> [2021-03-18 12:18]:
> Eli Zaretskii <[email-masked]> writes:
> 
> > Which displays nowadays don't support colors in Emacs?  Does anyone
> > still use such displays?
> 
> It's more about not having a display, I suspect.
> 
> ./src/emacs -geometry -0+0 -Q --daemon=server -l chart
> 
> will make chart-face-list nil.

Maybe, it could be related.

I am usually using Emacs as with `emacs --bg-daemon'. I have been
using chart library before months and I never had problem, the problem
came recently before about one month or more.

So I have started now as daemon and client, and I cannot get colors.

The instance that is started now as emacsclient does show colors.

I guess that would be it. It worked before, it should be brought back
to where it was. Thank you.

Jean